{ lib, ... }:
{
  imports = [
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "envy";
    hostId = "db2e5735";
    wg-quick.interfaces.wgc.address = [ "10.100.0.25/24" ];
  };

  system = {
    desktop.enable = true;
    lanzaboote.enable = true;
    wireless.enable = true;
    wireguard.client.enable = true;
    libvirtd.enable = true;
    stateVersion = "24.11";
  };

  # Special options
  services.globalprotect.enable = true;
  virtualisation.vmware.host.enable = true;
  nixpkgs.allowUnfreePackages = [ "vmware-workstation" ];
  environment.persistence."/persist".directories = [
    "/home/jimbo/.vmware"
    "/home/jimbo/vmware"
  ];
}
